Bug 1003752 - RFE: Ability to compare two revisions for whole books
RFE: Ability to compare two revisions for whole books
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: DocBook-builder (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 02:57 EDT by mmurray
Modified: 2014-08-04 18:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mmurray 2013-09-03 02:57:17 EDT
Description of problem:
QE want things that have changed in books to be highlighted in some way (so they don't have to reread everything, only the things that have changed).
Some people are using remark tags for this. But that requires removing the remark tags at a later date.

I think it would be useful if in docbuilder there was a way to use some kind of diff process to highlight all of the changes in a book between two revision numbers. Then this link could be given to QE.
Comment 1 Jared MORGAN 2013-09-08 23:14:09 EDT
This would be an excellent enhancement, and would probably win the votes of many docs QE folks who are after this type of granularity with review targets.
Comment 2 Matthew Casperson 2013-11-12 01:15:28 EST
I'm not sure we could implement this efficiently in DocBuilder. It would mean maintaining diffs indefinitely, or providing some UI to request diffs be built.

https://code.google.com/p/daisydiff/ is an open source library that produces reasonable output when used on HTML single Publican builds. This could be built into csprocessor, or we could just write up instructions on how to use it manually.

Note You need to log in before you can comment on or make changes to this bug.